Skip to main content
GET
/
leads
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const leadListResponse of client.leads.list({ company_id: 'biz_xxxxxxxxxxxxxx' })) {
  console.log(leadListResponse.id);
}
{
  "data": [
    {
      "id": "lead_xxxxxxxxxxxxx",
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "referrer": "https://twitter.com/whabormarket",
      "metadata": {},
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "email": "john.doe@example.com",
        "name": "John Doe",
        "username": "johndoe42"
      },
      "product": {
        "id": "prod_xxxxxxxxxxxxx",
        "title": "Pickaxe Analytics"
      },
      "member": {
        "id": "<string>"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list leads for.

Example:

"biz_xxxxxxxxxxxxxx"

created_after
string<date-time> | null

Only return leads created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_before
string<date-time> | null

Only return leads created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

product_ids
string[] | null

Filter leads to only those associated with these specific product identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

Response

A successful response

The connection type for Lead.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.